<?php
declare( strict_types=1 );

namespace FiboFilters\Integrations\Themes;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Class Neve
 */
class Neve extends AbstractTheme {

	public function init( string $slug = '', string $name = '', array $args = [] ): void {
		parent::init( $slug, $name, $args );
	}

	/**
	 * Show information that the pagination setting is overridden by theme
	 * only if the Neve Pro addon and WooCommerce Booster module is enabled .
	 */
	protected function parse_args( array $args ): array {
		if ( defined( 'NEVE_PRO_VERSION' )
				&& (bool) get_option( 'nv_pro_woocommerce_booster_status', true )
		) {
			$args['overridden']['appearance'][] = 'pagination_strategy';
			$args['integration_scope'][]        = 'pagination_strategy';
		}

		return $args;
	}
}
